# $Revision: 1.2 $, $Date: 2004/01/08 15:59:40 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
Summary:	Tool to create PPP connections summary
Summary(pl):	Narzdzie do tworzenia statystyk pocze PPP
Name:		pppusage
Version:	0.2.5
Release:	1
License:	BSD	
Group:		Applications/Console
Source0:	http://code.jhweiss.de/pppusage/%{name}-%{version}.tar.gz
# Source0-md5:	7cf370d5b147ff084025234c43d01a45
URL:		http://code.jhweiss.de/pppusage/
%if %{with tests}
BuildRequires:	perl-DB_File
%endif
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
pppusage summarizes average and total transfer volumes, number of
connections, and average and total online time for PPP connections.
The data is collected by reading the syslog files which contain the
ppp[d] messages. A database file is used to store the relevant data.
Certain time ranges (that is: a year, month, or day) may be specified
on the command line.

%description -l pl
pppusage podsumowuje wielkoci redniego i cakowitego transferu,
liczb pocze oraz redni i cakowity czas dla pocze PPP. Dane s
zbierane poprzez czytanie plikw sysloga zawierajcych komunikaty
ppp[d]. Do przechowywania danych uywany jest plik z baz.
Okrelone przedziay czasu (tzn. rok, miesic, dzie) mona poda z
linii polece.

%prep
%setup -q

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor \
	SYSCONFDIR="%{_sysconfdir}" \
	INST_SYSCONFDIR="$RPM_BUILD_ROOT%{_sysconfdir}"

%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_sysconfdir}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes License README TODO UPGRADE
%attr(755,root,root) %{_bindir}/*
%{perl_vendorlib}/PPPUsage
%config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/%{name}rc
%{_mandir}/man1/%{name}.*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: pppusage.spec,v $
Revision 1.2  2004/01/08 15:59:40  qboosh
- use standard perl build scheme
- doc fix: removed useless INSTALL, added required License
- release 1

Revision 1.1  2004/01/08 15:42:01  adamg
- initial import
